v.net.iso(1)

NAME
v.net.iso - Split net to bands between cost isolines (direction from centre). Centre node must be opened (costs >= 0). Costs of centre node are used in calculation

KEYWORDS
vector, networking

SYNOPSIS
v.net.iso
v.net.iso help
v.net.iso [-g] input=name output=name [type=string[,string,...]] [alayer=integer] [nlayer=integer] [afcolumn=string] [abcolumn=string] [ncolumn=string] ccats=range costs=integer[,integer,...] [--overwrite]

  Flags:

-g  Use geodesic calculation for longitude-latitude locations

--overwrite

  Parameters:

input=name
    Name of input vector map

output=name
    Name for output vector map

type=string[,string,...]
    Arc type Options: line,boundary Default: line,boundary

alayer=integer
    Arc layer Default: 1

nlayer=integer
    Node layer Default: 2

afcolumn=string
    Arc forward/both direction(s) cost column (number)

abcolumn=string
    Arc backward direction cost column (number)

ncolumn=string
    Node cost column (number)

ccats=range
    Category values Categories of centres (points on nodes) to which net will be allocated, layer for this categories is given by nlayer option.

costs=integer[,integer,...]
    Costs for isolines

DESCRIPTION
v.net.iso splits net to bands between cost isolines (direction from centre). Centre node must be opened (costs >= 0). Costs of centre node are used in calculation. Supported are cost assignments for both arcs and nodes, and also different in both directions of a vector line. For areas cost will be calculated along boundary lines.

NOTES
Nodes must be on the isolines.

Center nodes have to be assigned to vector nodes. Nodes and arcs can be closed using cost = -1.

EXAMPLE
Subdivision of a network into areas:
The map must contain at least one center (point) on the vector network which can be patched into with v.patch.
v.net.iso input=streets output=isomap ccats=1 costs=1000,2000,5000
that should cut network to 4 categories:
cat | distance from point
1 0 - 1000
2 1000 - 2000
3 2000 - 5000
4 > 5000
To see the result, run for example:
d.vect isomap col=green cats=1
d.vect isomap col=yellow cats=2
d.vect isomap col=orange cats=3
d.vect isomap col=red cats=4

SEE ALSO
d.path, v.net, v.net.alloc, v.net.salesman, v.net.steiner, v.patch

AUTHOR
Radim Blazek, ITC-Irst, Trento, Italy

Last changed: $Date: 2006/01/02 14:44:52 $

Full index